package com.ebaiyihui.family.doctor.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class InsertPatientMedicalRecordDTO {

    @ApiModelProperty("签约id")
    @NotBlank(message = "签约id不能为空")
    private String admId;

    @NotBlank(message = "患者id不能为空")
    @ApiModelProperty("患者id")
    private String patientId;

    @NotBlank(message = "主诉不能为空")
    @ApiModelProperty("主诉")
    private String mainSuit;

    @NotBlank(message = "诊断不能为空")
    @ApiModelProperty("诊断")
    private String diagnosis;

    @ApiModelProperty("现病史")
    private String currentHistory;

    @ApiModelProperty("既往史")
    private String pastHistory;

    @ApiModelProperty("过敏史")
    private String allergyHistory;

    @ApiModelProperty("其他病史")
    private String othersHistory;

    @ApiModelProperty("其他")
    private String remark;

}
