package com.ebaiyihui.family.doctor.server.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;


@Data
@TableName(value = "patient_medical_record")
public class PatientMedicalRecordEntity {

    /**
     * 主键
     */
    private String id;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 签约id
     */
    private String admId;

    /**
     * 患者id
     */
    private String patientId;

    /**
     * 主述
     */
    private String mainSuit;

    /**
     * 诊断
     */
    private String diagnosis;

    /**
     * 现病史
     */
    private String currentHistory;

    /**
     * 既往史
     */
    private String pastHistory;

    /**
     * 过敏史
     */
    private String allergyHistory;

    /**
     * 其他病史
     */
    private String othersHistory;

    /**
     * 其他
     */
    private String remark;

    /**
     * 病例状态 1生效/0失效
     */
    private Integer recordStatus;

}
