package com.ebaiyihui.family.doctor.server.common.constants;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @ClassName: ProjProperties
 * @Author:yanliang
 * @Date:2024/3/15 16:45
 * @Description
 */
@Data
@Component
@ConfigurationProperties(prefix = "projprops")
public class ProjProperties {

    private String userFindUserId;

    private String userInfo;

    private String baseAddress;

    private String familyDoctorThirdUrl;

    private String familyDoctorThirdClientId;

    private String familyDoctorThirdClientSecret;

    private String medicalInfoByAdmId;

    private String getMedicalUserFills;

}
