package com.ebaiyihui.family.doctor.server.service;


import com.ebaiyihui.family.doctor.common.dto.InsertPatientMedicalRecordDTO;
import com.ebaiyihui.family.doctor.common.dto.InvalidMedicalRecordDTO;
import com.ebaiyihui.family.doctor.common.dto.UpdatePatientMedicalRecordDTO;
import com.ebaiyihui.family.doctor.common.vo.InsertPatientMedicalRecordVO;
import com.ebaiyihui.family.doctor.common.vo.PatientCaseDetail;
import com.ebaiyihui.framework.response.BaseResponse;

import java.util.Objects;

/**
 * 患者病历Service
 */
public interface PatientMedicalRecordService {

//    BaseResponse<InsertPatientMedicalRecordVO> insertPatientMedicalRecord(InsertPatientMedicalRecordDTO dto);
//
//    BaseResponse<InsertPatientMedicalRecordVO> updatePatientMedicalRecord(UpdatePatientMedicalRecordDTO dto);
//
//    BaseResponse<PatientMedicalRecordVO> detailMedicalRecord(InvalidMedicalRecordDTO dto);
//
//    BaseResponse<Object> insertOrUpdate(InsertPatientMedicalRecordDTO dto);

    PatientCaseDetail getMedicalInfoByAdmId(String admId);

    BaseResponse<Object> treatmentCard(String admId);

    BaseResponse<Object> getBaseInfoByAdmId(String admId);
}
